%global pypi_name gql

Name:           python-%{pypi_name}
Version:        3.5.0
Release:        1%{?dist}
Summary:        GraphQL Client for Python 3.6+

License:        MIT
URL:            https://github.com/graphql-python/gql
Source:         https://github.com/graphql-python/gql/archive/v%{version}/v%{version}.tar.gz
BuildArch:      noarch

%description
GraphQL Client for Python 3.6+ which plays nicely with other graphql
implementations compatible with the spec. Under the hood, it uses 
GraphQL-core which is a Python port of GraphQL.js, the JavaScript
reference implementation for GraphQL.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

Requires:       python3-graphql-core
Requires:       python3-yarl
Requires:       python3-backoff
Requires:       python3-anyio

Suggests:       python3-aiohttp
Suggests:       python3-requests
Suggests:       python3-websockets
Suggests:       python3-botocore

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
This is a GraphQL client for Python 3.6+. Plays nicely with graphene
graphql-core, graphql-js and any other GraphQL implementation compatible
with the spec. GQL architecture is inspired by React-Relay and Apollo-Client.

%prep
%autosetup -n gql-%{version} -N
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/gql-cli
%{python3_sitelib}/gql-%{version}.dist-info/*
%{python3_sitelib}/gql/*.py
%{python3_sitelib}/gql/__pycache__/*.pyc
%{python3_sitelib}/gql/py.typed
%{python3_sitelib}/gql/transport/*.py
%{python3_sitelib}/gql/transport/__pycache__/*.pyc
%{python3_sitelib}/gql/utilities/*.py
%{python3_sitelib}/gql/utilities/__pycache__/*.pyc

%changelog
* Mon Dec 25 2023 Andrej Manduch - 3.5.0-1
- Initial release
